OsmoSGSN - Bug #2857

No automatic testing of luPS interface
01/22/2018 01:35 AM - laforge

Status: Closed Start date: 01/23/2018
Priority: High Due date: 01/23/2018
Assignee: lynxis % Done: 100%
Category: lu interface

Target version:

Spec Reference:

Description

Similar to the situation in OsmoMSC with IuCS, we don't have any automatic testing of the IUPS interface. Once we figured out how
to properly interface RANAP from TITAN, we should be able to write test cases in TTCN-3 to automatically test our [uPS
implementation.

Related issues:

Related to OsmoSGSN - Bug #3224: verify ciphering after UMTS AKA New 04/30/2018
Related to OsmoSGSN - Bug #4157: SGSN test regressions (likely testsuite) Resolved 08/19/2019
Follows OsmoMSC - Bug #2856: No automatic testing of luCS interface Resolved 01/22/2018
History

#1 - 01/22/2018 01:35 AM - laforge

- Due date set to 01/23/2018

- Start date changed from 01/22/2018 to 01/23/2018

- Follows Bug #2856: No automatic testing of luCS interface added

#2 - 05/30/2018 03:00 PM - laforge
- Tags setto TTCN3, 3G

#3 - 06/23/2018 07:42 PM - laforge
- Related to Bug #3224: verify ciphering after UMTS AKA added

#4 - 04/15/2019 07:35 AM - laforge
- Status changed from New to In Progress
- Assignee set to laforge

- % Done changed from 0 to 20

| have RANAP encoding/decoding now working in TTCN-3, and I've also created a set of RANAP templates to use. Integration into the SGSN tets
suite is currently ongoing.

#5 - 04/15/2019 08:18 PM - laforge

- Status changed from In Progress to Stalled

The core RANAP integration, the templates etc. appear to be working. The problem is that due to bugs in the proprietary asn1 compiler we're not
able to reliably transcode between BER and APER at this point. setting to stalled again.

#6 - 07/18/2019 08:10 PM - laforge

the transcoding issues have long been resolved, as can be seen wen looking at luCS related tests that are already in production.

The "problem" now with IuPS is that for the Gb/BSSAP based SGSN tests we don't have the notion of a (sccp or otherwise) connection between the
RAN and the SGSN. LLC messages are simply exchanged "stateless" over BSSGP. For luPS,this needs to chang substantially, so it's much hader to
have "portable" test logic that works over both a 2G and a 3G RAN.

#7 - 07/18/2019 08:11 PM - laforge
latest code is in laforge/iu branch of osmo-ttcn3-hacks.git

#8 - 08/19/2019 01:15 PM - pespin
- Related to Bug #4157: SGSN test regressions (likely testsuite) added

#9 - 08/29/2019 03:09 PM - laforge

- Category set to lu interface

- Status changed from Stalled to In Progress
- Assignee changed from laforge to lynxis

- Priority changed from Normal to High

- % Done changed from 20 to 80

branch has meanwhile been merged AFAIR, but | don't see any lu tests as part of SGSN_Tests.ttcn executed yet?

#10 - 09/15/2019 11:20 PM - lynxis
- Status changed from In Progress to Feedback

- % Done changed from 80 to 90

waiting for https:/gerrit.osmocom.org/c/docker-playground/+/15534 to be merged.

#11 - 09/17/2019 11:17 AM - lynxis
- Status changed from Feedback to Closed

#12 - 09/17/2019 11:17 AM - lynxis
- % Done changed from 90 to 100
